#ifndef SENSOR_H_
#define SENSOR_H_

#include <SensirionI2cScd4x.h>

void handle_error(int code, char *msg);

void initialize_sensor(SensirionI2cScd4x &sensor, int error_code,
                       char *error_msg);

void read_values(SensirionI2cScd4x &sensor, float *data, int error_code,
                 char *error_msg);

#endif // SENSOR_H_
